== NetworkManager 1.0/1.2/1.4/1.6/1.8 ==

* New interfaces:
  - org.freedesktop.NetworkManager.DnsManager
  - org.freedesktop.NetworkManager.Device.Vxlan
  - org.freedesktop.NetworkManager.Device.MacSec
  - org.freedesktop.NetworkManager.Device.Dummy

* New properties/slots/signals:
  - org.freedesktop.NetworkManager
    -------------------------------
    - Methods:
        - GetAllDevices()
        - Reload()
        - CheckpointCreate()
        - CheckpointDestroy()
        - CheckpointRollback()
    - Properties:
        - GlobalDnsConfiguration

  - org.freedesktop.NetworkManager.Device
    -------------------------------------
    - Methods:
        - Reapply()
        - GetAppliedConnection()
    - Properties:
        - LldpNeighbors
        - Real

  - org.freedesktop.NetworkManager.IP4Config
    ----------------------------------------
    - Properties:
        - DnsPriority
        - WinServers

  - org.freedesktop.NetworkManager.IP6Config
    ----------------------------------------
    - Properties:
        - DnsPriority

* New settings and settings properties:
  - dcb setting
    -----------------
    - completely

  - dummy setting
    -----------------
    - completely

  - ip-tunnel setting
    -----------------
    - completely

  - macsec setting
    -----------------
    - completely

  - proxy setting
    -----------------
    - completely

  - team-port setting
    -----------------
    - completely

  - user setting
    -----------------
    - completely

  - vxlan setting
    -----------------
    - completely

  - ipv4 setting
    -----------------
    - address-data
    - dad-timeout
    - dhcp-fqdn
    - dns-options
    - dns-priority
    - route-data

  - ipv6 setting
    -----------------
    - addr-gen-mode
    - address-data
    - dad-timeout
    - dhcp-timeout
    - dhcp-fqdn
    - dns-options
    - route-data
    - token
